#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 3
%define _cmake_skip_rpath -DCMAKE_SKIP_RPATH:BOOL=OFF
%define min_version %(echo %{version}|cut -d. -f1,2)

Summary:        Plasma 5 Window Manager
Name:           kwin
Version: 5.20.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

## Upstream patches
# backport from 5.21 branch
# [focuschain/task switcher] https://bugs.kde.org/show_bug.cgi?id=427840
Patch1:         0001-Remove-special-handling-for-minimized-windows.patch
Patch2:         0002-Add-hidden-option-to-govern-repositioning-minimized-windows.patch

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(libcap)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  x11-server-xwayland

BuildRequires:  qt5platformsupport-private-devel
BuildRequires:  qt5fontdatabasesupport-devel
BuildRequires:  qt5themesupport-devel
BuildRequires:  qt5eventdispatchersupport-devel

BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xcb-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libinput) >= 0.10
BuildRequires:  pkgconfig(libudev)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5QuickWidgets)

BuildRequires:  cmake(Qt5Sensors)

BuildRequires:  cmake(KF5Activities)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5GlobalAccel)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Init)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KDecoration2) >= %min_version
BuildRequires:  cmake(KF5Wayland)
BuildRequires:  cmake(KScreenLocker)
BuildRequires:  cmake(KWaylandServer)

BuildRequires:  cmake(Breeze)
BuildRequires:  cmake(QAccessibilityClient)

# runtime dependencies
BuildRequires:  qtquickcontrols5
BuildRequires:  kdeclarative
BuildRequires:  plasma-framework
BuildRequires:  hwdata
Requires:       qtquickcontrols5
Requires:       kdeclarative
Requires:       plasma-framework
Requires:       hwdata

Requires:       qtmultimedia5
Requires:       %name-common = %version-%release
Requires:       kscreenlocker
Requires:       kinit
Requires:       breeze

%description
Plasma 5 Window Manager.

%files
%_kf5_bindir/kwin_x11
%_qt5_plugindir/org.kde.kwin.platforms/KWinX11Platform.so
%_kf5_datadir/config.kcfg/kwin_colorcorrect.kcfg

#--------------------------------------------------------------------

%package        common
Summary:        Common files for KWin X11 and KWin Wayland

Conflicts:      %name < 5.6.5

%description    common
Common files for KWin X11 and KWin Wayland.

%files common -f %{name}.lang
%_kf5_datadir/kwin
%_kf5_datadir/dbus-1/interfaces/*.xml
%_kf5_iconsdir/*/*/apps/*
%_kf5_knotificationsdir/kwin.notifyrc
%_kf5_services/*.desktop
%_kf5_services/kwin
%_kf5_servicetypes/*.desktop
%_kf5_qmldir/org/kde/kwin
%_kf5_plugindir/kwindowsystem/KF5WindowSystemKWinPrivatePlugin.so
%_qt5_plugindir/*.so
%_qt5_plugindir/kwin/
%_qt5_plugindir/kcms/*.so
%_libexecdir/kwin_killer_helper
%_libexecdir/kwin_rules_dialog
%_kf5_datadir/config.kcfg/kwin*.kcfg
%_kf5_datadir/config.kcfg/virtualdesktopssettings.kcfg
%_kf5_datadir/kconf_update/kwin*.upd
%_kf5_datadir/kconf_update/kwin*.sh
%_kf5_datadir/kconf_update/kwin*.py
%_kf5_datadir/kconf_update/kwin*.pl
%_kf5_datadir/kconf_update/__pycache__/
%_kf5_datadir/knsrcfiles/*.knsrc
%_kf5_categoriesdir/org_kde_kwin.categories
%_kf5_libdir/kconf_update_bin/kwin5_update_default_rules
%_qt5_plugindir/org.kde.kdecoration2/kwin5_aurorae.so
%_qt5_plugindir/org.kde.kglobalaccel5.platforms/
%_qt5_plugindir/org.kde.kwin.scenes/
%_qt5_plugindir/platforms/KWinQpaPlugin.so
%_qt5_plugindir/kpackage/packagestructure/kwin_packagestructure_aurorae.so
%_qt5_plugindir/kpackage/packagestructure/kwin_packagestructure_decoration.so
%_qt5_plugindir/kpackage/packagestructure/kwin_packagestructure_scripts.so
%_qt5_plugindir/kpackage/packagestructure/kwin_packagestructure_windowswitcher.so
%_qt5_plugindir/kpackage/packagestructure/kwin_packagestructure_effect.so
%_kf5_datadir/kpackage/kcms/kcm_kwin_virtualdesktops/
%_kf5_datadir/kpackage/kcms/kcm_kwin_effects/
%_kf5_datadir/kpackage/kcms/kcm_kwinrules/
%_kf5_datadir/kpackage/kcms/kcm_kwindecoration/
%_userunitdir/plasma-kwin_x11.service

#--------------------------------------------------------------------

%define kwin4_effect_builtins_major 1
%define libkwin4_effect_builtins %mklibname kwin4_effect_builtins %{kwin4_effect_builtins_major}

%package -n %libkwin4_effect_builtins
Summary:        Plasma 5 Window Manager
Group:          System/Libraries

%description -n %libkwin4_effect_builtins
Plasma 5 Window Manager.

%files -n %libkwin4_effect_builtins
%_kf5_libdir/libkwin4_effect_builtins.so.%{kwin4_effect_builtins_major}{,.*}

#--------------------------------------------------------------------

%define kwineffects_major 12
%define libkwineffects %mklibname kwineffects %{kwineffects_major}

%package -n %libkwineffects
Summary:        Plasma 5 Window Manager
Group:          System/Libraries
Obsoletes:      %{_lib}kwineffects5 < 5.15.4-2

%description -n %libkwineffects
Plasma 5 Window Manager.

%files -n %libkwineffects
%_kf5_libdir/libkwineffects.so.%{kwineffects_major}
%_kf5_libdir/libkwineffects.so.%{version}

#--------------------------------------------------------------------

%define kwinglutils_major 12
%define libkwinglutils %mklibname kwinglutils %{kwinglutils_major}

%package -n %libkwinglutils
Summary:        Plasma 5 Window Manager
Group:          System/Libraries
Obsoletes:      %{_lib}kwinglutils5 < 5.15.4-2

%description -n %libkwinglutils
Plasma 5 Window Manager.

%files -n %libkwinglutils
%_kf5_libdir/libkwinglutils.so.%{kwinglutils_major}
%_kf5_libdir/libkwinglutils.so.%{version}

#--------------------------------------------------------------------

%define kwinxrenderutils_major 12
%define libkwinxrenderutils %mklibname kwinxrenderutils %{kwinxrenderutils_major}

%package -n %libkwinxrenderutils
Summary:        Plasma 5 Window Manager
Group:          System/Libraries
Obsoletes:      %{_lib}kwinxrenderutils5 < 5.15.4-2

%description -n %libkwinxrenderutils
Plasma 5 Window Manager.

%files -n %libkwinxrenderutils
%_kf5_libdir/libkwinxrenderutils.so.%{kwinxrenderutils_major}
%_kf5_libdir/libkwinxrenderutils.so.%{version}

#--------------------------------------------------------------------

%define kwin_major 5
%define libkwin %mklibname kwin %{kwin_major}

%package -n %libkwin
Summary:        Plasma 5 Window Manager
Group:          System/Libraries

%description -n %libkwin
Plasma 5 Window Manager.

%files -n %libkwin
%_kf5_libdir/libkwin.so.%{kwin_major}{,.*}

#--------------------------------------------------------------------

%define kcmkwincommon_major 5
%define libkcmkwincommon %mklibname kcmkwincommon %{kcmkwincommon_major}

%package -n %libkcmkwincommon
Summary:        Plasma 5 Window Manager
Group:          System/Libraries

%description -n %libkcmkwincommon
Plasma 5 Window Manager.

%files -n %libkcmkwincommon
%_kf5_libdir/libkcmkwincommon.so.%{kcmkwincommon_major}{,.*}

#--------------------------------------------------------------------

%package        wayland
Summary:        KDE Window Manager with experimental Wayland support
Requires:       %{name}-common%{?_isa} = %{version}-%{release}
Requires:       kwayland-integration%{?_isa}
Requires:       qtwayland5
Requires:       x11-server-xwayland

%description    wayland
KDE Window Manager with experimental Wayland support.

%files wayland
%_kf5_bindir/kwin_wayland
%_qt5_plugindir/platforms/KWinQpaPlugin.so
%_qt5_plugindir/org.kde.kglobalaccel5.platforms/KF5GlobalAccelPrivateKWin.so
%_qt5_plugindir/org.kde.kwin.waylandbackends/
%_kf5_plugindir/org.kde.kidletime.platforms/KF5IdleTimeKWinWaylandPrivatePlugin.so
%_userunitdir/plasma-kwin_wayland.service

#--------------------------------------------------------------------

%define kwin_devel %mklibname kwin -d

%package -n %kwin_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkwinxrenderutils = %version-%release
Requires:       %libkwinglutils = %version-%release
Requires:       %libkwineffects = %version-%release
Requires:       %libkwin4_effect_builtins = %version-%release
Requires:       %libkwin = %version-%release
Requires:       %libkcmkwincommon = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kwin_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kwin_devel
%_kf5_prefix/include/*.h
%_kf5_libdir/libkwin4_effect_builtins.so
%_kf5_libdir/libkwineffects.so
%_kf5_libdir/libkwinglutils.so
%_kf5_libdir/libkwinxrenderutils.so
%_kf5_libdir/cmake/KWinDBusInterface/

#--------------------------------------------------------------------

%package handbook
Summary:        %{name} Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/kcontrol/windowspecific/
%doc %_kf5_docdir/HTML/*/kcontrol/desktop/
%doc %_kf5_docdir/HTML/*/kcontrol/kwindecoration/
%doc %_kf5_docdir/HTML/*/kcontrol/kwinscreenedges/
%doc %_kf5_docdir/HTML/*/kcontrol/kwintabbox/
%doc %_kf5_docdir/HTML/*/kcontrol/windowbehaviour/
%doc %_kf5_docdir/HTML/*/kcontrol/kwineffects/

#------------------------------------------------


%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 \
        -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir" \
        -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=ON

%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name



%changelog
* Tue Jan 26 2021 neoclust <neoclust> 5.20.4-3.mga8
+ Revision: 1673515
- Rebuidl against fixed kglobalaccel

* Sat Jan 23 2021 daviddavid <daviddavid> 5.20.4-2.mga8
+ Revision: 1672959
- rebuild against current kdeclarative-5.76.0-2

* Mon Dec 07 2020 daviddavid <daviddavid> 5.20.4-1.mga8
+ Revision: 1654197
- New version 5.20.4

* Sat Nov 14 2020 daviddavid <daviddavid> 5.20.3-1.mga8
+ Revision: 1645411
- New version 5.20.3

* Mon Nov 09 2020 daviddavid <daviddavid> 5.20.2-2.mga8
+ Revision: 1643869
- backport upstream patches to add hidden option to govern repositioning
  minimized windows in focuschain/task switcher

* Wed Oct 28 2020 daviddavid <daviddavid> 5.20.2-1.mga8
+ Revision: 1639988
- New version 5.20.2

* Wed Oct 21 2020 daviddavid <daviddavid> 5.20.1-1.mga8
+ Revision: 1637741
- New version 5.20.1

* Wed Oct 14 2020 daviddavid <daviddavid> 5.20.0-1.mga8
+ Revision: 1635536
- New version 5.20.0

* Wed Sep 02 2020 daviddavid <daviddavid> 5.19.5-1.mga8
+ Revision: 1620782
- New version 5.19.5

* Sat Aug 01 2020 daviddavid <daviddavid> 5.19.4-2.mga8
+ Revision: 1610068
- enable Mesa gbm support
- add missing runtime dependency on hwdata

* Wed Jul 29 2020 daviddavid <daviddavid> 5.19.4-1.mga8
+ Revision: 1609607
- New version 5.19.4

* Wed Jul 08 2020 neoclust <neoclust> 5.19.3-1.mga8
+ Revision: 1603006
- New version 5.19.3

* Tue Jun 23 2020 daviddavid <daviddavid> 5.19.2-1.mga8
+ Revision: 1598721
- New version 5.19.2

* Thu Jun 18 2020 daviddavid <daviddavid> 5.19.1-1.mga8
+ Revision: 1595850
- New version 5.19.1
+ neoclust <neoclust>
- New version 5.18.90

* Wed May 06 2020 daviddavid <daviddavid> 5.18.5-1.mga8
+ Revision: 1580754
- New version 5.18.5
- New version 5.18.4.1

* Tue Mar 17 2020 daviddavid <daviddavid> 5.18.3-1.mga8
+ Revision: 1557154
- New version 5.18.3

* Tue Feb 25 2020 daviddavid <daviddavid> 5.18.2-1.mga8
+ Revision: 1550380
- New version 5.18.2

* Fri Feb 21 2020 daviddavid <daviddavid> 5.18.1-1.mga8
+ Revision: 1548246
- New version 5.18.1

* Thu Feb 20 2020 umeabot <umeabot> 5.18.0-2.mga8
+ Revision: 1546998
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 daviddavid <daviddavid> 5.18.0-1.mga8
+ Revision: 1496279
- New version 5.18.0

* Thu Feb 06 2020 neoclust <neoclust> 5.17.90-1.mga8
+ Revision: 1487451
- New version 5.17.90
+ wally <wally>
- build with new cmake macros

* Wed Dec 04 2019 daviddavid <daviddavid> 5.17.4-1.mga8
+ Revision: 1464302
- New version 5.17.4

* Fri Nov 15 2019 daviddavid <daviddavid> 5.17.3-1.mga8
+ Revision: 1460060
- New version 5.17.3

* Wed Oct 30 2019 daviddavid <daviddavid> 5.17.2-1.mga8
+ Revision: 1456771
- New version 5.17.2

* Wed Oct 23 2019 daviddavid <daviddavid> 5.17.1-1.mga8
+ Revision: 1455336
- New version 5.17.1

* Mon Oct 14 2019 neoclust <neoclust> 5.17.0-1.mga8
+ Revision: 1453168
- New version 5.17.0

* Mon Sep 30 2019 neoclust <neoclust> 5.16.90-1.mga8
+ Revision: 1448125
- New version 5.16.90

* Wed Sep 04 2019 neoclust <neoclust> 5.16.5-1.mga8
+ Revision: 1437052
- New version 5.16.5

* Wed Jul 31 2019 neoclust <neoclust> 5.16.4-1.mga8
+ Revision: 1426320
- New version 5.16.4

* Mon Jul 29 2019 daviddavid <daviddavid> 5.16.3-2.mga8
+ Revision: 1424848
- rebuild with fixed kf5-macros to install Qml files in the good path

* Wed Jul 24 2019 daviddavid <daviddavid> 5.16.3-1.mga8
+ Revision: 1423872
- rebuild against new Qt 5.13.0 stack
+ neoclust <neoclust>
- New version 5.16.3

* Wed Apr 10 2019 neoclust <neoclust> 5.15.4-1.mga7
+ Revision: 1387856
- New version 5.15.4

* Sun Mar 31 2019 umeabot <umeabot> 5.15.3.2-4.mga7
+ Revision: 1383005
- Qt5 Rebuild

* Tue Mar 26 2019 tmb <tmb> 5.15.3.2-3.mga7
+ Revision: 1380433
- [platform/X11] Force glXSwapBuffers to block with NVIDIA driver

* Sat Mar 23 2019 daviddavid <daviddavid> 5.15.3.2-2.mga7
+ Revision: 1379698
- rebuild for new Qt 5.12.2

* Wed Mar 13 2019 daviddavid <daviddavid> 5.15.3.2-1.mga7
+ Revision: 1375856
- New version: 5.15.3.2
+ neoclust <neoclust>
- New version 5.15.3

* Thu Feb 28 2019 neoclust <neoclust> 5.15.2-1.mga7
+ Revision: 1370558
- New version 5.15.2

* Tue Feb 19 2019 neoclust <neoclust> 5.15.1-1.mga7
+ Revision: 1368598
- New version 5.15.1

* Sat Feb 16 2019 neoclust <neoclust> 5.15.0-1.mga7
+ Revision: 1367493
- New version 5.15.0

* Wed Feb 06 2019 daviddavid <daviddavid> 5.14.5-3.mga7
+ Revision: 1363717
- rebuild against new Qt5 5.12.1

* Wed Jan 23 2019 neoclust <neoclust> 5.14.5-2.mga7
+ Revision: 1360022
- Add P0 to fix flickering with Qt 5.12

* Mon Jan 14 2019 neoclust <neoclust> 5.14.5-1.mga7
+ Revision: 1356182
- New version 5.14.5

* Thu Jan 03 2019 daviddavid <daviddavid> 5.14.4-5.mga7
+ Revision: 1348844
- drop definitely qtvirtualkeyboard5 support

* Wed Dec 26 2018 daviddavid <daviddavid> 5.14.4-4.mga7
+ Revision: 1345114
- recommend qtvirtualkeyboard5 instead

* Fri Dec 21 2018 daviddavid <daviddavid> 5.14.4-3.mga7
+ Revision: 1344099
- really enable Libcap support with fixed libcap pkg

* Fri Dec 21 2018 daviddavid <daviddavid> 5.14.4-2.mga7
+ Revision: 1343977
- enable Libcap support
- add some missing runtime dependencies

* Sun Dec 09 2018 neoclust <neoclust> 5.14.4-1.mga7
+ Revision: 1339319
- New version 5.14.4

* Wed Oct 24 2018 neoclust <neoclust> 5.14.2-1.mga7
+ Revision: 1325007
- New version 5.14.2

* Sun Sep 23 2018 umeabot <umeabot> 5.13.4-2.mga7
+ Revision: 1298694
- Mageia 7 Mass Rebuild

* Thu Aug 16 2018 neoclust <neoclust> 5.13.4-1.mga7
+ Revision: 1251905
- New version 5.13.4
+ daviddavid <daviddavid>
- fix non devel files into devel sub-pkg

* Fri Feb 23 2018 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1204449
- New version 5.12.2

* Wed Feb 14 2018 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1200995
- New version 5.12.1

* Fri Jan 19 2018 neoclust <neoclust> 5.11.95-1.mga7
+ Revision: 1194497
- New version 5.11.95

* Wed Dec 27 2017 neoclust <neoclust> 5.11.4-1.mga7
+ Revision: 1185689
- New version 5.11.4

* Fri Oct 27 2017 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1174109
- New version 5.11.2

* Tue Oct 17 2017 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1172394
- New version 5.11.1

* Thu Oct 05 2017 neoclust <neoclust> 5.10.95-1.mga7
+ Revision: 1169260
- New version 5.10.95
- New version 5.10.5

* Sun Jul 23 2017 neoclust <neoclust> 5.10.4-1.mga7
+ Revision: 1128979
- New version 5.10.4
- New version 5.10.3.1
- New version 5.10.3

* Sun Jun 25 2017 akien <akien> 5.8.7-2.mga6
+ Revision: 1108476
- Add rediffed upstream KWin 5.10.3 patch to fix bko#344326 (mga#18904)

* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1105053
- New version 5.8.7
- Add P0: try to fix  support of nvidia drivers

* Thu Mar 09 2017 neoclust <neoclust> 5.8.6-3.mga6
+ Revision: 1090534
- Rebuild for Armv7

* Wed Mar 08 2017 neoclust <neoclust> 5.8.6-2.mga6
+ Revision: 1090375
- Rebuild for armv7

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089031
- New version 5.8.6

* Fri Dec 30 2016 neoclust <neoclust> 5.8.5-2.mga6
+ Revision: 1078718
- Fix conflict against kdebase4-workspace

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078166
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070723
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065083
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064484
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063054
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060279
- New version 5.8.1

* Sat Oct 01 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057982
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053132
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052688
- New version 5.7.5

* Thu Aug 25 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048878
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044274
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042562
- New version 5.7.2

* Sun Jul 17 2016 neoclust <neoclust> 5.7.1-7.mga6
+ Revision: 1042348
- Rebuild because of failure on armv7 build

* Sun Jul 17 2016 neoclust <neoclust> 5.7.1-6.mga6
+ Revision: 1042339
- Remove wrong require

* Sat Jul 16 2016 neoclust <neoclust> 5.7.1-5.mga6
+ Revision: 1042308
- Add x11-server-xwayland as require of the wayland package

* Sat Jul 16 2016 neoclust <neoclust> 5.7.1-4.mga6
+ Revision: 1042259
- Build drm backend

* Sat Jul 16 2016 neoclust <neoclust> 5.7.1-3.mga6
+ Revision: 1042238
- Make wayland package to require qtwayland5 ( mga #18954)

* Fri Jul 15 2016 neoclust <neoclust> 5.7.1-2.mga6
+ Revision: 1042111
- Add conflict to ease upgrade ( mga #18798)

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041399
- New version 5.7.1

* Fri Jul 08 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039562
- New version 5.7.0

* Mon Jul 04 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1038683
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014544
- New version 5.6.4

* Thu May 05 2016 neoclust <neoclust> 5.6.3-2.mga6
+ Revision: 1009647
- Split out wayland support

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009281
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999265
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998020
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994395
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 987087
- Rebuild against kf5 5.20.0

* Thu Mar 03 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 984723
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927975
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922510
- New version 5.5.3
- Rebuild against new cmake to have cmake() provides

* Sat Dec 26 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 915446
- New version 5.5.2
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910690
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908851
- New version 5.5.0

* Sun Nov 29 2015 neoclust <neoclust> 5.4.95-2.mga6
+ Revision: 907185
- Rebuild for ARM

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904476
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-3.mga6
+ Revision: 900720
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 899657
- Rebuild against fixed extra-cmake-modules

* Sat Nov 07 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 898422
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889522
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874734
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869651
- New version 5.4.0

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-3.mga6
+ Revision: 863501
- Rebuild against fixed kf5-macros

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-2.mga6
+ Revision: 863437
- Workaround dbus interface error

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 863384
- Fix BuildRequires
- Requires qtmultimedia5 for multimedia playback
- New version 5.3.95

* Sat Aug 01 2015 neoclust <neoclust> 5.3.2-5.mga6
+ Revision: 860416
- Fix files list to not pull devel files

* Sun Jul 19 2015 neoclust <neoclust> 5.3.2-4.mga6
+ Revision: 855421
- Add Conflict to ease upgrade

* Mon Jul 06 2015 neoclust <neoclust> 5.3.2-3.mga6
+ Revision: 852191
- Remove conflicts

* Mon Jul 06 2015 neoclust <neoclust> 5.3.2-2.mga6
+ Revision: 851820
- Remove conficts

* Sun Jul 05 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 850886
+ rebuild (emptylog)

* Fri Dec 19 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804286
- New version

* Mon Oct 27 2014 lmenut <lmenut> 5.0.1-6.mga5
+ Revision: 793584
- add missing conflicts with KDE 4 (mga#14300)

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-5.mga5
+ Revision: 747040
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-4.mga5
+ Revision: 681250
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 lmenut <lmenut> 5.0.1-3.mga5
+ Revision: 664807
- fix duplicated files in kwin and -devel
- mv dbus-1 interfaces in kwin
- fix summaries & descriptions
- use find_lang --all-name

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-2.mga5
+ Revision: 663942
- Rename as this is not a framework
- Rename

* Fri Aug 15 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 662785
- New version 5.0.1

* Mon Jul 21 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 655158
- imported package kf5-kwin

